Summary:	Execution analysis and debugging tool-suite.
Name:		frysk
Version:	0.4
Release:	12%{?dist}

# antlrv2 is Public Domain; antlrv3 is BSD.
# getopt is GPLv2 with exception
# elfutils is GPLv2 with exception
# frysk is GPLv2 with exception
# junit licence is CPL (according to the junit rpm)
# jline licence is BSD
# libunwind is BSD
License:	GPLv2 with exceptions and BSD and CPL and Public Domain

Group:		Development/System
URL:		http://sourceware.org/frysk
Source:		ftp://sourceware.org/pub/frysk/%{name}-%{version}.tar.bz2
Patch1:		frysk-0.4-bash-dollar-star.patch
Patch2:		frysk-0.4-gcc-warnings.patch
Patch3:		frysk-0.4-fix-duplicates.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  gcc-java >= 4.1.2
BuildRequires:	junit >= 3.8.1
BuildRequires:  antlr >= 2.7.4 
BuildRequires:	jdom >= 1.0
BuildRequires:	glib-java >= 0.2.6
BuildRequires:  libgtk-java-devel >= 2.8.7-6
BuildRequires:	libglade-java-devel >= 2.12.3
BuildRequires:  cairo-java-devel >= 1.0.3
BuildRequires:  cairo-devel >= 1.0.0
BuildRequires:  gtk2-devel >= 2.8.0
BuildRequires:	libglade2-devel >= 2.5.1
BuildRequires:	libvte-java-devel >= 0.12.0
BuildRequires:  vte-devel >= 0.12.1
BuildRequires:  xmlto
BuildRequires:  sharutils
BuildRequires:	transfig >= 3.2.0 
BuildRequires:	gnome-python2-gconf
BuildRequires:	audit-libs-devel
BuildRequires:	autoconf automake libtool
# Some generation scripts are being written in python
BuildRequires:	python

# Bug #305611: PPC Build problems with libunwind
# Bug #416961: ALPHA not supported by frysk and libunwind.
# Bug #467970: SPARC/SPARC64 not supported by frysk and libunwind.
# Bug #467971: ARM not supported by frysk.
# Bug #506961: S390X not supported by frysk and libunwind.
ExcludeArch: alpha arm ppc sparc sparc64 s390x

# We do not want to build a ``cross-debugging version'' i686->i386;
# libunwind build would get confused by this.  Override the cmd-line
# --target option:
%ifarch %{ix86}
%define _target_cpu %{_host_cpu}
%endif

%description
Frysk is an execution-analysis technology implemented using native
Java and C++.  It is aimed at providing developers and sysadmins with
the ability to both examine and analyze running multi-host,
multi-process, multi-threaded systems.  Frysk allows the monitoring of
running processes and threads, of locking primitives and will also
expose deadlocks, gather data and debug any given process in the
system.

%package devel
Summary:        The development part of Frysk
Group:		Development/System
Requires:       %{name} = %{version}-%{release}
Requires:	dogtail >= 0.5.2
# Needed by "dogtail-run-headless -n":
Requires:	metacity
Requires:	python

%description devel
Frysk is an execution-analysis technology implemented using native
Java and C++.  It is aimed at providing developers and sysadmins with
the ability to both examine and analyze running multi-host,
multi-process, multi-threaded systems.  Frysk allows the monitoring of
running processes and threads, of locking primitives and will also
expose deadlocks, gather data and debug any given process in the
system.

This package contains the development components of Frysk.

%package gnome
Summary:        The GNOME front-end of Frysk
Requires:       %{name} = %{version}-%{release}
Group:		Development/System
Requires:   	libgconf-java
Requires:   	libglade-java >= 2.12.5
Requires: 	libvte-java >= 0.12.0

%description gnome
Frysk is an execution-analysis technology implemented using native
Java and C++.  It is aimed at providing developers and sysadmins with
the ability to both examine and analyze running multi-host,
multi-process, multi-threaded systems.  Frysk allows the monitoring of
running processes and threads, of locking primitives and will also
expose deadlocks, gather data and debug any given process in the
system.

This package contains the GNOME front end for Frysk.

%prep

%setup -q -n %{name}-%{version}
pwd
%patch1 -p1 -z .bash-dollar-star
%patch2 -p1 -z .gcc-warnings
mv frysk-core/frysk/pkglibdir/FunitSimpleInterfaceTest.java frysk-core/frysk/pkglibdir/FunitSimpleInterfaceMain.java
%patch3 -p1 -z .fix-duplicates
./bootstrap.sh

%build 

uname -a
gcc --version
pwd
mkdir -p build
cd build

# double check xmlto
rpm -ql xmlto || :
ls -l /usr/bin/xmlto || :
# Capture the configure line
rm -f configure
echo '#!/bin/sh -x'		>> configure
echo 'exec ../configure "$@"'	>> configure
chmod a+x configure

# FIXME: Warnings should be fixed, not suppressed:
RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-Wp,-D_FORTIFY_SOURCE=2 /}
%configure \
	   CFLAGS="$RPM_OPT_FLAGS" \
	   CXXFLAGS="$RPM_OPT_FLAGS" \
	   GCJFLAGS="-g -O -fsource=1.4 -Wextraneous-semicolon" \
	   --disable-arch32-tests

make %{?_smp_mflags}

%install

rm -rf %{buildroot}

# Workaround for bug #??:
mkdir -p $RPM_BUILD_ROOT/usr/share/frysk

pwd
cd build
make  DESTDIR=$RPM_BUILD_ROOT  install %{?_smp_mflags}

# Fix timestamp of a generated script:
touch -r \
      ../frysk-gui/frysk/gui/FryskGui.java-in \
      $RPM_BUILD_ROOT%{_datadir}/%{name}/dogtail_scripts/frysk_suite.py
# ...and a few other ones:
for f in test2866.py test2985.py test3380.py; do
    touch -r \
    	  ../frysk-gui/frysk/gui/test/dogtail_scripts/$f \
	  $RPM_BUILD_ROOT%{_datadir}/%{name}/dogtail_scripts/$f
done

# Workaround for #211824:
rm $RPM_BUILD_ROOT%{_datadir}/java/*.jar

# some stray files.
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/gen-type-funit-tests
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/ChangeLog
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/test-exe-x86.c.source

# We are not yet ready to be in the menu:
echo "Hidden=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/frysk.desktop

# Remove duplicates; causes tools to complain.
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/funit-exec-alias
# Remove debuginfo; confuses elfutils.
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/funit-*-nodebug

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files

%defattr(-,root,root)

%doc frysk-common/COPYING frysk-common/EXCEPTION

%{_bindir}/fauxv
%{_bindir}/fcatch
%{_bindir}/fcore
%{_bindir}/fdebugdump
%{_bindir}/fdebuginfo
%{_bindir}/fdebugrpm
%{_bindir}/ferror
%{_bindir}/fexe
%{_bindir}/fhpd
%{_bindir}/fmaps
%{_bindir}/fstack
%{_bindir}/fstep
%{_bindir}/ftrace

%{_libdir}/libfrysk-antlr.so
%{_libdir}/libfrysk-core.so
%{_libdir}/libfrysk-getopt.so
%{_libdir}/libfrysk-sys.so
%{_libdir}/libfrysk-sys-jni.so
%{_libdir}/libfrysk-jdom.so
%{_libdir}/libfrysk-jline.so

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/messages.properties
%{_datadir}/%{name}/test-core-x86
%{_datadir}/%{name}/test-core-x8664
%{_datadir}/%{name}/test-exe-x86
%{_datadir}/%{name}/libtest.so

%{_mandir}/man1/fauxv.1.gz
%{_mandir}/man1/fcatch.1.gz
%{_mandir}/man1/fcore.1.gz
%{_mandir}/man1/fdebugdump.1.gz
%{_mandir}/man1/fdebuginfo.1.gz
%{_mandir}/man1/fdebugrpm.1.gz
%{_mandir}/man1/ferror.1.gz
%{_mandir}/man1/fexe.1.gz
%{_mandir}/man1/fhpd.1.gz
%{_mandir}/man1/fmaps.1.gz
%{_mandir}/man1/fstack.1.gz
%{_mandir}/man1/fstep.1.gz
%{_mandir}/man1/ftrace.1.gz
%{_mandir}/man7/frysk.7.gz

%files devel

%defattr(-,root,root)

%{_libdir}/libfrysk-junit.so

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/FunitSimpleInterfaceMain
%{_libdir}/%{name}/fsystest
%{_libdir}/%{name}/ftail
%{_libdir}/%{name}/funit*
%{_libdir}/%{name}/hpd-c
%{_libdir}/%{name}/sys-tests
%{_libdir}/%{name}/test-sysroot
%{_libdir}/%{name}/test1
%{_datadir}/%{name}/helloworld.o
%{_datadir}/%{name}/test_looper.xml
%{_datadir}/%{name}/dogtail_scripts
%{_mandir}/man8/*

%files gnome

%defattr(-,root,root)

%{_bindir}/frysk

%{_libdir}/libEggTrayIcon.so
%{_libdir}/libfrysk-ftk.so
%{_libdir}/libfrysk-gtk.so
%{_libdir}/libfrysk-gui.so
%{_libdir}/libftk*.so

%{_datadir}/%{name}/glade
%{_datadir}/%{name}/images

%{_datadir}/applications/frysk.desktop
%{_datadir}/pixmaps/fryskTrayIcon48.png

%dir %{_datadir}/gnome/help/%{name}
%{_datadir}/gnome/help/%{name}/*

%{_mandir}/man1/frysk.1.gz

%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.4-12
- rebuilt with new audit

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Andrw Cagney <cagney [at] fedoraproject.org> - 0.4-10
- Add frysk-0.4-fix-duplicates.patch to address duplicated install
  problems.

* Fri Jun 19 2009 Andrw Cagney <cagney [at] fedoraproject.org> - 0.4-9
- Add sparc64 and s390x to ExcludeArch.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 9 2009 Andrew Cagney <cagney [at] fedoraproject org> - 0.4-7
- Add frysk-0.4-gcc-warnings.patch; fix warnings from newer gcc.
- Delete funit-stacks-nodebug and funit-exec-alias; confuses install.

* Sun Feb 08 2009 Andrew Cagney <cagney [at] fedoraproject org> - 0.4-6
- Add frysk-0.4-batch-dollar-star.patch; avoid empty "$*" and "$@" in
  shell scripts (bash bug?).

* Sun Feb 08 2009 Alex Lancaster <alexlan[AT] fedoraproject org> - 0.4-5
- Rebuild for new GCC 4.4 to fix broken deps

* Tue Dec 23 2008 Andrew Cagney <andrew.cagney@gmail.com> - 0.4-4
- Improve summaries.

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4-3
- Rebuild for Python 2.6

* Mon Oct 27 2008 Andrew Cagney <andrew.cagney@gmail.com> -  0.4-2
- drop EPL from licence list; cdtparser deleted
- re-enable SMP make
- disable -Werror flag to gcj

* Tue Oct 20 2008 Andrew Cagney <andrew.cagney@gmail.com> -  0.4-1
- add sparc and arm to ExcludeArch.

* Mon Jun 9 2008 Sami Wagiaalla <swagiaal@rdhat.com> -  0.4-0
- import frysk-0.4.tar.bz2
- removed Patch7: frysk-0.0.1.2008.02.29.rh1-jboolean-array.patch
- removed Patch8: frysk-0.0.1.2008.02.29.rh1-asm-includes.patch
- removed Patch10: frysk-0.0.1.2008.03.19.rh1-fparser8.patch
- removed Patch11: frysk-0.2.1-ppc-build.patch
- Added fdebugdump files to files list
- Added libfrysk-sys-jni.so to file list.
- remove fparser from executable list.
- remove test_main_looper from file list.
- remove libfrysk-cdtparser from file list.

* Fri Apr 4 2008 Andrew Cagney <cagney@rdhat.com> -  0.2.1-2
- add patch11, frysk-0.2.1-ppc-build.patch.

* Fri Apr 4 2008 Andrew Cagney <cagney@rdhat.com> -  0.2.1-1
- re-instate patch10, install fparser's manpage in man8
- drop patch6, frysk-0.0.1.2008.01.18.rh1-elfutils-werror.patch.

* Fri Apr 4 2008 Andrew Cagney <cagney@rdhat.com> -  0.2.1-0
- import frysk-0.2.1.tar.bz2
- drop patch9, frysk-elfutils-src.patch.
- drop patch10, install fparser's manpage in man8

* Tue Mar 25 2008 Andrew Cagney <cagney@rdhat.com> -  0.0.1.2008.03.19.rh1-1
- import 0.0.1.2008.03.19.rh1 (35c076f3436b95a116cba33f52e0c9a592607dfa)
- move fparser to pkglibdir.
- add ferror to frysk's file list.
- add FunitSimpleInterfaceTest to frysk-devel's file list.
- add frysk.7 to frysk's file list.
- move frysk.1 to frysk-gnome's file list
- add Patch9 frysk-elfutils-crc.patch, work-around broken CRC check.
- add Patch10, install fparser's manpage in man8

* Fri Mar 11 2008 Sami Wagiaalla <swagiaal@rdhat.com> -  0.0.1.2008.03.11-2
- Added statements to check for xmlto.

* Fri Mar 11 2008 Sami Wagiaalla <swagiaal@rdhat.com> -  0.0.1.2008.03.11-1
- Import 0.0.1.2008.03.11 (84bcf09e5a329252d81e853e49f0cf1449f937c2)

* Fri Mar 11 2008 Sami Wagiaalla <swagiaal@rdhat.com> - 0.0.1.2008.02.29.rh1-2
- Update releease number
- added frysk-0.0.1.2008.02.29.rh1-asm-includes.patch
- added frysk-0.0.1.2008.02.29.rh1-jboolean-array.patch

* Fri Feb 29 2008 Sami Wagiaalla <swagiaal@rdhat.com> - 0.0.1.2008.02.29.rh1-1
- Import frysk-0.0.1.2008.02.29.rh1 (148d1359cf791171d7f346d4fca35c1fc36aca8c)
- Remove BuildRequires: libgconf-java-devel
- Remove Patch4 (frysk-0.0.1.2008.01.18.rh1-no-sysroot.patch)
- Remove Patch5 (frysk-0.0.1.2008.01.18.rh1-line-npe.patch)

* Tue Feb 5 2008 Andrew Cagney <cagney@redhat.com> - 0.0.1.2008.01.18.rh1-3
- Add frysk-0.0.1.2008.01.18.rh1-elfutils-werror.patch to fix elfutils
  errors.

* Mon Feb  4 2008 Stepan Kasal <skasal@redhat.com> - 0.0.1.2008.01.18.rh1-2
- rebuild against rebuilt java-gnome

* Mon Jan 20 2008 Andrew Cagney <cagney@redhat.com> - 0.0.1.2008.01.18.rh1-1
- Import frysk-0.0.1.2008.01.18.rh1 (4cff0daa2996b28274985fa4674160f15e5fd9e2)
- Delete run_make_check code.
- Add patch4, frysk-0.0.1.2008.01.18.rh1-no-sysroot.patch to not build
  sysroot tests.
- Add patch5, frysk-0.0.1.2008.01.18.rh1-line-npe.patch to prevent NPE
  in source window.
- Enable ppc64 build; disable alpha build (bug 416961).
- Move dogtail testing requirements to devel package.
- Delete stray ChangeLog, gen-type-funit-tests, and
  test-exe-x86.c.source files.

* Wed Oct 17 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.10.17-1
- Import frysk-0.0.1.2007.10.17.
- Remove hack disabling glade check.

* Mon Sep 24 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.09.24-2
- Install frysk.desktop; but with Hidden=true.
- Sort files list.
- Remove trailing period from summaries.
- Replace ExclusiveArch with ExcludeArch of ppc and ppc64; bug 305611.

* Mon Sep 24 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.09.24-1
- Update files list.
- Fix path to dogtail_scripts.
- Fix touch paths to allow for build sub-directory.
- Import frysk-0.0.1.2007.09.24.tar.bz2.
- Remove frysk-20060922-a-cast.patch
- Remove frysk-xfail-2130.patch.
- Run bootstrap.sh over source tree.
- Add autoconf, automake, and libtool to BuildRequires.
- Remove binutils-devel from BuildRequires.
- Build in separate sub-directory.
- Do not force JV_SCAN into the build environment.
- Update Licence.
- Change BuildRoot to prefered fedora format.
- Expand Summary to mention debugging.

* Tue Mar 13 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2007.03.13.rh1-1
- New upstream version, adapt the file list.
- Remove frysk-no-dejagnu.patch.
- configure --disable-werror

* Tue Feb  6 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2007.02.07.rh1-1
- New upstream version.
- Add Gnome help files, test_looper.xml, and test_main_looper to the file
  lists.
- Temporarily:
  switch off /usr/share/frysk/test, current tarball does not install it;
  switch off ppc64 build, frysk-imports/include/frysk-asm.h ain't ready.

* Tue Feb  6 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-8
- Do not delete the .desktop file, nove it to docdir.
- Related: #211200

* Tue Jan 30 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-7
- Move the requirement for libgconf-java to subpackage frysk-gnome.
- Resolves: #225401.

* Thu Jan 25 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-6
- Fix the mistake which I made while backporting the TestFStack patch.
- Related: #224248

* Wed Jan 24 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-5
- Add frysk-20070106-TestFStack.patch frysk-20070124-libunwind.patch .
- Resolves: #224248

* Wed Jan 17 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-4
- Second iteration to make section 8 man pages platform-independent.
- Resolves: #222468

* Wed Jan 17 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-3
- Make the contents of section 8 man pages platform-independent.
- Resolves: #222468
- Move section 8 man pages to frysk-devel, where the corresponding utilities
  reside.

* Wed Jan 17 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-2
- Fix time stamps of installed *.py files, which ...
- Resolves: #222468

* Tue Dec 19 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-1
- New upstream version.
- libexecdir -> libdir and other file list updates
- Remove frysk-arch32-disable.patch, use --disable-arch32-tests instead.
- Add frysk-no-dejagnu.patch and create $RPM_BUILD_ROOT${pkgdatadir},
  to work around a bug in install-dejagnu-testsuite-local rule.
- Resolves: #218819

* Tue Dec 19 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-4
- Add frysk-20061201-i386_is_not_64bit.patch
- Related: #218835

* Tue Dec 19 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-3
- Use libexecdir with the old version.
- Related: #218835

* Mon Dec 18 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-2
- Fix typo in the previous chlog entry.
- Resolves: #211200

* Mon Dec 18 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-2
- Do not install the .desktop file.
- Resolves: #211200
- Split to frysk, frysk-devel, and frysk-gnome; move the requires for gui
  java-gnome libraries to frysk-gnome.
- Resolves: #218835

* Fri Dec  1 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-2
- Related: #211775
- The ppc64 build works again.

* Fri Dec  1 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-1
- New upstream version.
- Resolves: #211288.

* Thu Nov 30 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.11.30.rh1-1
- New upstream version.
- The stamp file for glade files has been renamed.
- Disable ppc64 build.

* Mon Oct 30 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.30.rh1-1
- New upstream version.
- Do not apply frysk-xfail-2130.patch, we do not run make check anyway.
- Do not list the binaries in the file list; use `f*'.

* Mon Oct 23 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.23.rh1-1
- New upstream version.
- Do not pack the jars; they cause multilib conflicts.
- Add /usr/bin/fcrash to the file list.

* Tue Oct 17 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.17.rh1-1
- New upstream version.

* Fri Oct 13 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.13.rh1-1 
- New upstream version.

* Wed Oct 11 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.11.rh1-1
- New upstream version.

* Mon Oct  2 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.02.rh1-1
- New upstream version.

* Tue Sep 26 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.22.rh1-1
- New upstream version.
- Refresh frysk-xfail-2130.patch.
- Add frysk-20060922-a-cast.patch to fix a warning.
- Add fstack to the file list.

* Fri Sep 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.15.rh1-2
- BuildRequire binutils-devel.

* Fri Sep 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.15.rh1-1
- New upstream version.
- Make sure we are not building a ``cross-debugging'' libunwind on i686.

* Tue Sep 12 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.08.rh1-2
- Do not require dogtail on FC-5; it's not available there.

* Mon Sep 11 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.08.rh1-1
- New upstream version.

* Sat Sep  2 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.30.rh1-2
- Tried to build on 32bit ppc, but it does not work yet.

* Tue Aug 29 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.30.rh1-1
- New upstream version.
- Removed xorg-x11-xinit from BuildRequires, dogtail was fixed to require it.
- Build also on ppc64.

* Mon Aug 28 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.28.rh1-1
- New upstream version.
- Remove Patch1, the code now contains a real fix for bug #203902.

* Fri Aug 25 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.24.rh1-3
- Patch1 for bug #203902.

* Fri Aug 25 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.24.rh1-2
- Comment out the %%check section temporarily.

* Thu Aug 24 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.24.rh1-1
- New upstream version.
- Add Requires: libgconf-java

* Tue Aug 22 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.22.rh1-1
- New upstream version.
- Add BuildRequires: gnome-python2-gconf, remove BuildRequires: ghostscript.
- Add `uname -a' to %%check.

* Wed Aug 16 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.16.rh1-1
- New upstream version.

* Tue Aug 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.15.rh1-1
- New upstream version.
- Require latest java-gnome.
- frysk-xfail-2130.patch: fails if building on an old kernel.

* Wed Aug  9 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.09.rh1-1
- New upstream version, incorporates both the patches.

* Wed Aug  2 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.25.rh1-4
- Add make check to %%check
- Add patches to disable failing tests.

* Wed Aug  2 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.25.rh1-3
- BuildRequires latest dogtail

* Fri Jul 28 2006 Phil Muldoon <pmuldoon@redhat.com> -  0.0.1.2006.07.25.rh1-3
- Add dogtail to BuildRequires 

* Tue Jul 25 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.25.rh1-2
- Add ftrace to the file list.

* Tue Jul 25 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.25.rh1-1
- New upstream version.

* Sat Jul 22 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.0.1.2006.07.18.rh1-2
- Bump release number. (dist-fc6-java)

* Tue Jul 18 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.18.rh1-1
- New upstream version, incorporates the previous two patches.

* Wed Jul 18 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.14.rh1-2
- Add two patches from Phil Muldoon:
  frysk-20060714-observer.patch -- continue even though an observer cannot be load
  frysk-20060714-timer.patch -- fix incorrect usage of a core timer

* Wed Jul 14 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.14.rh1-1
- New upstream version.

* Wed Jul 13 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.13.rh1-1
- New upstream version.

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.12.rh2-1
- New upstream version.

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.12.rh1-1
- New upstream version.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.0.1.2006.06.28.rh1-0.1
- rebuild

* Wed Jun 28 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.28.rh1-1
- Remove  BuildRequires:  autoconf automake

* Tue Jun 27 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.28.rh1-0
- Refresh the tarball.
- Remove the patches, they are all upstream now.
- BuildRequires: sharutils, instead of gmime.
- Do not remove the unwanted files, they should not be installed anymore.
- Do not hide the menu entry.
- Do not call ./bootstrap.sh.

* Fri Jun 16 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.15-3
- Add the non-intermediate hack.
- Remove more unwanted files.
- Add patch to link statically with libelf; remove elfutils libraries.

* Fri Jun 16 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.15-2
- Suppress warnings caused by _FORTIFY_SOURCE=2
- Remove unwanted files.

* Fri Jun 16 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.15-1
- Add BuildRequires: libgconf-java-devel
- Update frysk-unistd.patch

* Thu Jun 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.15-0
- Refresh the tarball.
- Patch to fix Elf.cxx on 64bit.
- Anoter patch required by new linux/unistd.h.
- Add BuildRequires: ghostscript

* Thu Jun 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.14-1
- Patch for new linux/unistd.h.
- Patch to avoid scanf("%%a[..]").

* Thu Jun 14 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.14-0
- New upstream version.
- Add BuildRequires: libglade2-devel >= 2.5.1
- Refresh other BuildRequires.
- Replace the noxmltest.patch patch by two touch commands.
- Add BuildRequires: autoconf automake, BuildRequires: gcc-java >= 4.1.1

* Thu May 18 2006 Stepan Kasal <skasal@redhat.com>    - 0.0.1.2006.02.19.rh2-0.FC5.3
- Add gmime to BuildRequires.

* Fri Mar 03 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.2
- Add Hidden=true to frysk.desktop file; from halfline; with fixes.
- Disable xml check in frysk-gui/.

* Wed Mar 01 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.1
- Add dependencies on latest Java-GNOME bindings.

* Wed Mar 01 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.0
- Import frysk 0.0.1.2006.02.19.rh2; works around bug #180637.
- Enable x86_64, update *-java BuildRequires; fix bug #183538.

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.0.1.2006.02.19.rh1-0.FC5.1
- BuildRequires: xmlto

* Mon Feb 20 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.19.rh1-0.FC5.0
- Import frysk 0.0.1.2006.02.19.rh1 -- snapshot from middle of that day.

* Sat Feb 18 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.12-0.FC5.1
- Remove eclipse-cdt >= 3.0.0 from BuildRequires.  From Wu Zhou
  woodzltc@ibm.

* Sun Feb 12 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.12-0.FC5.0
- Import frysk 0.0.1.2006.02.12.

* Thu Feb 09 2006 Adam Jocksch <ajocksch@redhat.com> 0.0.1.2006.02.09-0.FC5.0
- Removed ftrace from %%files and added libexedir files and man pages.
- Imported new frysk tarball, 

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.0.1.2006.01.22-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb 06 2006 Adam Jocksch <ajocksch@redhat.com> 0.0.1.2006.01.22-0.FC5.1
- Bumped version, rebuilt.

* Mon Jan 23 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.01.22-0.FC4.0
- Simplify .spec file (remove unused macro definitions).
- Import frysk 0.0.1.2006.01.22.
- Update -files; adding frysk.desktop and fryskTrayIcon48.png.

* Thu Dec 22 2005 Andrew Cagney <cagney@redhat.com> 0.0.1.2005.12.14.15.12-0.FC4.1
- Import frysk-0.0.1.2005.12.14.15.12 rpm.
- Drop build dependency java-1.4.2-gcj-compat-devel
- Apply Patch003, frysk-makefileam.patch.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051116-0.3
- Added jars under /usr/share/java to distribution.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051116-0.1
- Update source.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.3
- Removed runtime dependency for eclipse-cdt, changed buildtime eclipse-cdt dependency to 3.0.0.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.2
- Changed dependency on frysk-cdtparser to eclipse-cdt (it was somehow magically reversed).

* Mon Nov 14  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.1
- Removed smp flags.

* Mon Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.3
- Update source.

* Wed Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.2
- Added ExclusiveArch for i386.

* Wed Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.1
- Updated source, changed cdtparser dependency to eclipse-cdt. Added build
restriction to i386. Added %%{?_smp_flags} to make command.

* Fri Oct 28  2005 Igor Foox <ifoox@redhat.com> 0.0-2
- Validated all Requires and BuildRequires clauses, fixed some of them.
- Fixed bug with libdir detection based on architecture.

* Wed Oct 26  2005 Igor Foox <ifoox@redhat.com> 0.0-1
- Birth.
